<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Requesters/PPERCameraNV.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/dea/_p_p_e_r_camera_n_v_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERCameraNV.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/dea/_p_p_e_r_camera_n_v_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PPERequester_CameraNV <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a311a7789529adcca9f324c0bf6949473">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> NV_NO_BATTERY= 0; <span class="comment">//darkness</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ac112379bfd134320a19a1b08326ed94f">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> NV_DEFAULT_OPTICS = 1;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a38373da536698b1cb873e0a9be8b23a1">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> NV_DEFAULT_GLASSES = 2;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab638049410d37177d3d2261c7d661ccb">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_enumvalue" href="../../d3/dd8/_day_z_player_camera___base_8c.html#a5fa3bf67a391c7d11b4294e056d1a773a479689c22d6e1d5950aa009f83a55ae8">NV_PUMPKIN</a> = 3;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#af7c405a14f58327337e7eda8f0497be3">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> NV_TRANSITIVE = 4; <span class="comment">//resets EV during camera transitions</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a6a31776f0851c1670cfbec254695adfd">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> NV_DAYTIME_OPTICS = 5;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ad75d8bf780bc6736f9f4bfae65672e69">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ad75d8bf780bc6736f9f4bfae65672e69">SetNVMode</a>(<span class="keywordtype">int</span> mode)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">switch</span> (mode)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a311a7789529adcca9f324c0bf6949473">NV_NO_BATTERY</a>: <span class="comment">//battery off</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Glow,<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PARAM_COLORIZATIONCOLOR</a>,{0.0,0.0,0.0,0.0},<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">L_23_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.MULTIPLICATIVE);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="keyword">false</span>,0.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ac112379bfd134320a19a1b08326ed94f">NV_DEFAULT_OPTICS</a>: <span class="comment">//NV optic on</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Glow,<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PARAM_COLORIZATIONCOLOR</a>,{0.0,1.0,0.0,0.0},<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">L_23_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.MULTIPLICATIVE);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>,<span class="keyword">false</span>,7.0,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a6736a9d1b4d28fbe705a6e3cc56da546">L_0_NVG_OPTIC</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.ADD);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>,<span class="keyword">false</span>,9.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">L_2_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="keyword">false</span>,3.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="keyword">false</span>,2.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a6a31776f0851c1670cfbec254695adfd">NV_DAYTIME_OPTICS</a>: <span class="comment">//NV optic in daytime mode</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Glow,<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PARAM_COLORIZATIONCOLOR</a>,{0.0,1.0,0.0,0.0},<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">L_23_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.MULTIPLICATIVE);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>,<span class="keyword">false</span>,2.0,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a6736a9d1b4d28fbe705a6e3cc56da546">L_0_NVG_OPTIC</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.ADD);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>,<span class="keyword">false</span>,9.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">L_2_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="keyword">false</span>,3.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a38373da536698b1cb873e0a9be8b23a1">NV_DEFAULT_GLASSES</a>: <span class="comment">//goggles on</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Glow,<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PARAM_COLORIZATIONCOLOR</a>,{0.0,1.0,0.0,0.0},<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">L_23_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.MULTIPLICATIVE);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>,<span class="keyword">false</span>,7.0,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a00cfc22bafaa36c55c07bc98cbab312e">L_0_NVG_GOGGLES</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.ADD);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>,<span class="keyword">false</span>,10.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">L_2_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="keyword">false</span>,2.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab638049410d37177d3d2261c7d661ccb">NV_PUMPKIN</a>: <span class="comment">//pumpkin-o-vision</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Glow,<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PARAM_COLORIZATIONCOLOR</a>,{1.0,0.2,0.0,0.0},<a class="code hl_class" href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a>.<a class="code hl_variable" href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">L_23_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.MULTIPLICATIVE);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>,<span class="keyword">false</span>,5.5,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a00cfc22bafaa36c55c07bc98cbab312e">L_0_NVG_GOGGLES</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.ADD);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain,<a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>.<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="keyword">false</span>,1.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="keyword">false</span>,0.0,<a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>.<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#af7c405a14f58327337e7eda8f0497be3">NV_TRANSITIVE</a>: <span class="comment">//camera transition</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="comment">//SetTargetValueFloat(PPEExceptions.EXPOSURE,PPEExposureNative.PARAM_INTENSITY,false,0,PPEExposureNative.L_0_NVG_OFF,PPOperators.SET);</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a>(<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.EXPOSURE,<a class="code hl_class" href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a>.<a class="code hl_variable" href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PARAM_INTENSITY</a>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a60cdf9a9a952a4358dfb224d5d4011e6">   66</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a60cdf9a9a952a4358dfb224d5d4011e6">OnStart</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par = null)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        super.OnStart();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ad75d8bf780bc6736f9f4bfae65672e69">SetNVMode</a>(Param1&lt;int&gt;.Cast(par).param1);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">//other values reset automatically on stop</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ae972d4dd71a24e023529d3a64d9b66f5">   74</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ae972d4dd71a24e023529d3a64d9b66f5">OnStop</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par = null)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        super.OnStop(par);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>}</div>
<div class="ttc" id="a_day_z_player_camera___base_8c_html_a5fa3bf67a391c7d11b4294e056d1a773a479689c22d6e1d5950aa009f83a55ae8"><div class="ttname"><a href="../../d3/dd8/_day_z_player_camera___base_8c.html#a5fa3bf67a391c7d11b4294e056d1a773a479689c22d6e1d5950aa009f83a55ae8">NV_PUMPKIN</a></div><div class="ttdeci">@ NV_PUMPKIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dd8/_day_z_player_camera___base_8c_source.html#l00061">DayZPlayerCamera_Base.c:61</a></div></div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a055fe6645543d5aac6f214277f064eda"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></div><div class="ttdeci">PPOperators</div><div class="ttdoc">PP operator masks specify operation between subsequent layers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">PPEConstants.c:52</a></div></div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a9e272c9bdd16c16284f7871e266096e5"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a></div><div class="ttdeci">PPEExceptions</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00041">PPEConstants.c:42</a></div></div>
<div class="ttc" id="a_p_p_e_request_platforms_base_8c_html_a887681647ac3dee85edf6ceb170acdc8"><div class="ttname"><a href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a887681647ac3dee85edf6ceb170acdc8">SetTargetValueFloatDefault</a></div><div class="ttdeci">protected void SetTargetValueFloatDefault(int mat_id, int param_idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00576">PPERequestPlatformsBase.c:576</a></div></div>
<div class="ttc" id="a_p_p_e_request_platforms_base_8c_html_a8db48939dbad620900fd941db199cb1b"><div class="ttname"><a href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a></div><div class="ttdeci">protected void SetTargetValueFloat(int mat_id, int param_idx, bool relative, float val, int priority_layer, int operator=PPOperators.ADD_RELATIVE)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00556">PPERequestPlatformsBase.c:556</a></div></div>
<div class="ttc" id="a_p_p_e_request_platforms_base_8c_html_ae65b665f4541dc6b7c3553805df2693d"><div class="ttname"><a href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#ae65b665f4541dc6b7c3553805df2693d">SetTargetValueColor</a></div><div class="ttdeci">protected void SetTargetValueColor(int mat_id, int param_idx, ref array&lt; float &gt; val, int priority_layer, int operator=PPOperators.ADD_RELATIVE)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00592">PPERequestPlatformsBase.c:592</a></div></div>
<div class="ttc" id="aclass_p_p_e_exposure_native_html"><div class="ttname"><a href="../../d2/d6d/class_p_p_e_exposure_native.html">PPEExposureNative</a></div><div class="ttdoc">EV postprocess, does not directly use materials.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d50/_p_p_e_exposure_native_8c_source.html#l00005">PPEExposureNative.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_exposure_native_html_a00cfc22bafaa36c55c07bc98cbab312e"><div class="ttname"><a href="../../d2/d6d/class_p_p_e_exposure_native.html#a00cfc22bafaa36c55c07bc98cbab312e">PPEExposureNative::L_0_NVG_GOGGLES</a></div><div class="ttdeci">static const int L_0_NVG_GOGGLES</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d50/_p_p_e_exposure_native_8c_source.html#l00011">PPEExposureNative.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_exposure_native_html_a269525518aea2c0ac29c7d3d969a6a28"><div class="ttname"><a href="../../d2/d6d/class_p_p_e_exposure_native.html#a269525518aea2c0ac29c7d3d969a6a28">PPEExposureNative::PARAM_INTENSITY</a></div><div class="ttdeci">static const int PARAM_INTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d50/_p_p_e_exposure_native_8c_source.html#l00008">PPEExposureNative.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_exposure_native_html_a6736a9d1b4d28fbe705a6e3cc56da546"><div class="ttname"><a href="../../d2/d6d/class_p_p_e_exposure_native.html#a6736a9d1b4d28fbe705a6e3cc56da546">PPEExposureNative::L_0_NVG_OPTIC</a></div><div class="ttdeci">static const int L_0_NVG_OPTIC</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d50/_p_p_e_exposure_native_8c_source.html#l00010">PPEExposureNative.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a></div><div class="ttdoc">FilmGrain - PostProcessEffectType.FilmGrain.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00006">PPEFilmGrain.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a3449ff3da790dddb352ae03beaf8b5db"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PPEFilmGrain::PARAM_SHARPNESS</a></div><div class="ttdeci">static const int PARAM_SHARPNESS</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00009">PPEFilmGrain.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a49f5a82859557f4942da2a83c0a5e193"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">PPEFilmGrain::L_2_NVG</a></div><div class="ttdeci">static const int L_2_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00021">PPEFilmGrain.c:21</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a691e08872f8da8fcb24de433e7f9fb01"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">PPEFilmGrain::L_1_NVG</a></div><div class="ttdeci">static const int L_1_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00019">PPEFilmGrain.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_ab36ad167e1d38f99fa384ab307ce053e"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PPEFilmGrain::PARAM_GRAINSIZE</a></div><div class="ttdeci">static const int PARAM_GRAINSIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00010">PPEFilmGrain.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_glow_html"><div class="ttname"><a href="../../dc/d5c/class_p_p_e_glow.html">PPEGlow</a></div><div class="ttdoc">Glow - PostProcessEffectType.Glow.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d16/_p_p_e_glow_8c_source.html#l00007">PPEGlow.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_glow_html_a57ff7809ab379115d76cc057c65bc217"><div class="ttname"><a href="../../dc/d5c/class_p_p_e_glow.html#a57ff7809ab379115d76cc057c65bc217">PPEGlow::L_23_NVG</a></div><div class="ttdeci">static const int L_23_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d16/_p_p_e_glow_8c_source.html#l00054">PPEGlow.c:54</a></div></div>
<div class="ttc" id="aclass_p_p_e_glow_html_a7d6ab2df902d50d8f097ee33932f84d9"><div class="ttname"><a href="../../dc/d5c/class_p_p_e_glow.html#a7d6ab2df902d50d8f097ee33932f84d9">PPEGlow::PARAM_COLORIZATIONCOLOR</a></div><div class="ttdeci">static const int PARAM_COLORIZATIONCOLOR</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d16/_p_p_e_glow_8c_source.html#l00032">PPEGlow.c:32</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a></div><div class="ttdoc">g_Game.NightVissionLightParams, does not directly use materials. Controls light multiplication and fi...</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00005">PPELightIntensityParamsNative.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a84bf70d7182be894a439f64254ff539d"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PPELightIntensityParamsNative::PARAM_NOISE_MULT</a></div><div class="ttdeci">static const int PARAM_NOISE_MULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00009">PPELightIntensityParamsNative.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a9668612a5840e2ef4e38ecf5ebe390a1"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">PPELightIntensityParamsNative::L_1_NVG</a></div><div class="ttdeci">static const int L_1_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00013">PPELightIntensityParamsNative.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_ac30077fd4d1680770986a93128493f5f"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PPELightIntensityParamsNative::PARAM_LIGHT_MULT</a></div><div class="ttdeci">static const int PARAM_LIGHT_MULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00008">PPELightIntensityParamsNative.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_adc66b0e90836666915d930d6487b2413"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">PPELightIntensityParamsNative::L_0_NVG</a></div><div class="ttdeci">static const int L_0_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00011">PPELightIntensityParamsNative.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div><div class="ttdoc">base, not to be used directly, would lead to layering collisions!</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_p_p_e_r_blood_loss_8c_source.html#l00001">PPERBloodLoss.c:2</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_a311a7789529adcca9f324c0bf6949473"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a311a7789529adcca9f324c0bf6949473">PPERequester_GameplayBase::NV_NO_BATTERY</a></div><div class="ttdeci">static const int NV_NO_BATTERY</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00003">PPERCameraNV.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_a38373da536698b1cb873e0a9be8b23a1"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a38373da536698b1cb873e0a9be8b23a1">PPERequester_GameplayBase::NV_DEFAULT_GLASSES</a></div><div class="ttdeci">static const int NV_DEFAULT_GLASSES</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00005">PPERCameraNV.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_a60cdf9a9a952a4358dfb224d5d4011e6"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a60cdf9a9a952a4358dfb224d5d4011e6">PPERequester_GameplayBase::OnStart</a></div><div class="ttdeci">override protected void OnStart(Param par=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00066">PPERCameraNV.c:66</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_a6a31776f0851c1670cfbec254695adfd"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#a6a31776f0851c1670cfbec254695adfd">PPERequester_GameplayBase::NV_DAYTIME_OPTICS</a></div><div class="ttdeci">static const int NV_DAYTIME_OPTICS</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00008">PPERCameraNV.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_ab638049410d37177d3d2261c7d661ccb"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab638049410d37177d3d2261c7d661ccb">PPERequester_GameplayBase::NV_PUMPKIN</a></div><div class="ttdeci">static const int NV_PUMPKIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00006">PPERCameraNV.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_ac112379bfd134320a19a1b08326ed94f"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ac112379bfd134320a19a1b08326ed94f">PPERequester_GameplayBase::NV_DEFAULT_OPTICS</a></div><div class="ttdeci">static const int NV_DEFAULT_OPTICS</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00004">PPERCameraNV.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_ad75d8bf780bc6736f9f4bfae65672e69"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ad75d8bf780bc6736f9f4bfae65672e69">PPERequester_GameplayBase::SetNVMode</a></div><div class="ttdeci">protected void SetNVMode(int mode)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00010">PPERCameraNV.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_ae972d4dd71a24e023529d3a64d9b66f5"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ae972d4dd71a24e023529d3a64d9b66f5">PPERequester_GameplayBase::OnStop</a></div><div class="ttdeci">override protected void OnStop(Param par=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00074">PPERCameraNV.c:74</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_af7c405a14f58327337e7eda8f0497be3"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#af7c405a14f58327337e7eda8f0497be3">PPERequester_GameplayBase::NV_TRANSITIVE</a></div><div class="ttdeci">static const int NV_TRANSITIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dea/_p_p_e_r_camera_n_v_8c_source.html#l00007">PPERCameraNV.c:7</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_6d418c63ea68f562b3e3c5d3404c6a9c.html">Requesters</a></li><li class="navelem"><a class="el" href="../../d1/dea/_p_p_e_r_camera_n_v_8c.html">PPERCameraNV.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
